<%@ page import="com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*" %>



<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("Distribution Lists", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "AliasManager");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>

<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo; Distribution Lists

<h1>Distribution Lists</h1>


<div class="row">

	<div class="col-md-8">
		<div class="well">
		Distribution list splits an incoming email into multiple recipients. For example, you can create an list for 
		<b>sales@YourCompany.com</b> and forward it to <b>john@YourCompany.com</b>, <b>mary@YourCompany.com</b> and <b>bob@SomeOtherDomain.com</b>.
		
		
		
		</div>
	</div>
	<div class="col-md-4">
		<span class="pull-right">
		<form  action="<%= request.getAttribute("appPath") %>" method="post">
			<button type="submit" class="btn btn-menu" title="Import data from a CSV file">Import From CSV</button>
			<input type="hidden" name="operation" value="impdl" >
		</form>
		</span>
	</div>
</div>

<%

String errorMsg = (String)request.getAttribute("errorMsg");

if(errorMsg != null && !errorMsg.isEmpty()){
	%>
	<div class="alert alert-danger text-center"><%=errorMsg %></div>
	<%
}

String infoMsg = (String)request.getAttribute("infoMsg");

if(infoMsg != null && !infoMsg.isEmpty()){
	%>
	<div class="alert alert-info"><%=infoMsg %></div>
	<%
}



%>





<div class="row">
	<div class="col-md-12">
		<div class="well-info-wrap">
			<div class="well-info-header">Add New Distribution List</div>
			<div class="well-info-body no-padding table-responsive">
			
			
			
			
				<form action="<%= request.getAttribute("appPath") %>" method="post">
				<table class="table">
					<tr>
						<th>List Address</th>
						<th>Forwards To</th>
						<th>Quarantine Report</th>
						<th class="text-center"></th>
					</tr>
					
					
					<tr>
						
						<td>
							<input class="form-control form-left pull-left wth-8" type="text" name="aliasName" placeholder="New List Name">
							<div class="btn btn-info form-control pull-left form-right wth-1" onclick="more_info('aliasAddress')"><b>?</b></div>
							
							<div class="alert alert-info more_info" id="aliasAddress" style="margin-top:-30px;">
							   Email address for the list. For example, <b>sales@yourcompany.com</b> 
							</div>
			
						</td>
						<td>
							<input class="form-control pull-left form-left wth-9" type="text" name="forwardTo" placeholder="Forward To Address(es)">
							<div class="btn btn-info form-control pull-left form-right wth-1" onclick="more_info('aliasFwd')"><b>?</b></div>
							
							<div class="alert alert-info more_info" id="aliasFwd" style="margin-top:-30px;">
							   One or more email address where messages will get forwarded. Use a comma to separate multiple values.
							</div>
			
			
						</td>
						
						<td>
							<span class="chkbox-cust form-control form-right pull-left wth-3"><input id="rep" type="checkbox" value="1" name="rep" checked='checked' >
								<label for="rep"></label></span>
							<span class="form-control form-text form-middle pull-left wth-5">Enable</span>
							<div class="btn btn-info form-control pull-left form-right wth-2" onclick="more_info('enableRep')"><b>?</b></div>
							
							<br style="clear:both;">
							<div class="alert alert-info more_info" id="enableRep">
								If checked, quarantine reports will be sent to every recipient on this list.
							</div>


			
						</td>
						
						
						<td class="text-center">
							<button class="btn btn-sm btn-submit">Add List</button>
						</td>
						<input type="hidden" name="operation" value="175">
						
					</tr>
					
				</table>
				</form>
			</div>
		</div>
	</div>
</div>
			
			
<p>
			
			
<!-- 			
<div class="row">
	<div class="col-md-12">
		<div class="well-info-wrap">
			<div class="well-info-header">Existing Lists</div>
			<div class="well-info-body no-padding table-responsive">
						
			-->
			
			
			
					
					
					
	<%
	List<DistributionListHolderBean> distlist = (List<DistributionListHolderBean>) request.getAttribute("distlist");
	List<String> aliases = (List<String>)request.getAttribute("aliases");
	List<String> forwards = (List<String>)request.getAttribute("forwards");

	if(distlist.size() > 0){
		
	%>
	
	
	<h2>Existing Distribution Lists</h2>
				<table class="table table-striped table-bordered table-hover">
					<tr>
						<th>List Address</th>
						<th>Forwards To</th>
						<th>Quarantine Report</th>
						<th class="text-center">Action</th>
					</tr>
					
					
					
		<%
		for(int i = 0; i < distlist.size(); i++){
			%>
			<tr>
				<td><%=distlist.get(i).getAlias() %>
				
				<%if(distlist.get(i).getMadpk() >= 0){
					%>
					<span class="label label-default pull-right">LDAP</span>
					<%
				}%>
				</td>
				<td><%=distlist.get(i).getForwardList() %></td>
				<td>
					<%
					if(distlist.get(i).isNotify()){
						%><span class="label label-success"><i class="glyphicon glyphicon-ok"></i> Enabled </span><%
					}else{
						%><span class="label label-default"><i class="glyphicon glyphicon-remove"></i> Disabled</span> <%
					}
					
					
					
					String reportTitle;
					if(distlist.get(i).getLastNotificationDate() > 100){
						reportTitle = "Send Summary Report. Last sent on: " + GlobalFuncs.formatDate(distlist.get(i).getLastNotificationDate());
					}else{
						reportTitle = "Send Summary Report.";
					}
					
					
					%>
					&nbsp;
					<a href="<%=response.encodeURL("FrontController?operation=174&st=tg&em=" + aliases.get(i)) %>">(Toggle)</a>

					<span class="pull-right"><a href="<%=response.encodeURL("FrontController?operation=174&st=rr&em=" + aliases.get(i)) %>" title="<%= reportTitle %>"><i class="glyphicon glyphicon-tasks"> </i> </a></span>
				</td>
				
				<td class="text-center"><a href="<%=response.encodeURL("FrontController?operation=176") %>&email=<%=aliases.get(i)%>">Remove</a></td>
			</tr>
			<%
		}
		%>
		</table>	
			<%	
			}
			%>
					
				
				
				
				<!-- 
			</div>
		</div>
	</div>
</div>
 -->

<%@ include file="NewPageFooter.jsp" %>